Get size of Detail Items

Im looking for a way to get the size of a detail item but Bounding box by Geometry doesnt work for this type of family.
Is there any way to find the extents of this sort of family?

Obviously you have tried something and got nothing. Can you share what you currently have? Also, I’m trying to figure out what you are planning on doing with this information. Can you share a bit more of what you expect to get out of this information? Thanks.

There’s a node form clockwork called element.boundingbox. That might help?

1 Like

[Edit] Ok, bounding box by element worked, but only for a single view at a time.
I will have to modify it to take a list of views too.

Solved, with the python script below.

For context; What I am doing is automating the creation of Type Image for Detail Item MEP symbols, so that they can also be shown in schedules (For automatic legends and to show quantities or comments etc.)
Needed to get the 2D extents of the detail items to make sure different size symbols export correctly.

"
# ProcessList and ProcessParallelLists methods with many thanks to
# Copyright(c) 2016, Konrad K Sobon
# @arch_laboratory, http://archi-lab.net
# whos excellent code I have shamelessly appropriated as a standard template

# Import Element wrapper extension methods
import clr
clr.AddReference('RevitNodes')	#Always use ' not '' to keep it dynamo code block freindly
import Revit
clr.ImportExtensions(Revit.Elements)
clr.ImportExtensions(Revit.GeometryConversion)

# Import DocumentManager and TransactionManager
clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
doc = DocumentManager.Instance.CurrentDBDocument

# Import RevitAPI
clr.AddReference('RevitAPI')
import Autodesk
from Autodesk.Revit.DB import *

import System
from System.Collections.Generic import *


#The inputs to this node will be stored as a list in the IN variable.
dataEnteringNode = IN

def ProcessList(_func, _list):
    return map( lambda x: ProcessList(_func, x) if type(x)==list else _func(x), _list )

def ProcessParallelLists(_func, *lists):
	return map( lambda *xs: ProcessParallelLists(_func, *xs) if all(type(x) is list for x in xs) else _func(*xs), *lists )

def Unwrap(item):
	return UnwrapElement(item)

RunIt = IN[0]	#First input is always on off switch

if isinstance(IN[1], list):
	elements = ProcessList(Unwrap, IN[1])
else:
	elements = list(Unwrap(IN[1]))

if isinstance(IN[2], list):
	views = ProcessList(Unwrap, IN[2])
else:
	views = list(Unwrap(IN[2]))

# if isinstance(IN[3], list):  #If input is not a revit element, do not unwrap
	# names = IN[3]
# else:
	# names = list(IN[3])

#Define output list to be appended in functions
elementlist = list()



def GetBoundingBox(element, view):
	try:
		boundingbox = element.BoundingBox[view]
	except:
		pass
	return elementlist.append(boundingbox)


if RunIt:
	errorReport = None
	# run process
	ProcessParallelLists(GetBoundingBox,elements, views)

else:
	errorReport = 'Please set the RunIt to True!'

#Assign your output to the OUT variable
if errorReport == None:
	OUT = elementlist
else:
	OUT = errorReport
";
2 Likes

I’m tyring to do the same thing can you share your script?

@Joseph_Peel
Looking into doing the same.
Would it be possible to share your script or any information on how you manage to get the 2D extents?